# ConfigService | windmill-client
Documentation for windmill-client

# Class ConfigService

- Defined in src/services.gen.ts:5903

#####
Index

### Constructors

constructor

### Methods

deleteConfig
getConfig
listWorkerGroups
updateConfig

##
Constructors

### constructor

- new ConfigService(): ConfigService

- #### Returns ConfigService

##
Methods

### `Static` deleteConfig

- deleteConfig(data): CancelablePromise <string>

- Delete Config

  #### Parameters

  - data: DeleteConfigData

    The data for the request.

  #### Returns CancelablePromise <string>

  string Delete config

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5960

### `Static` getConfig

- getConfig(data): CancelablePromise <unknown>

- get config

  #### Parameters

  - data: GetConfigData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown a config

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5923

### `Static` listWorkerGroups

- listWorkerGroups(): CancelablePromise < ListWorkerGroupsResponse >

- list worker groups

  #### Returns CancelablePromise < ListWorkerGroupsResponse >

  unknown a list of worker group configs

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5909

### `Static` updateConfig

- updateConfig(data): CancelablePromise <string>

- Update config

  #### Parameters

  - data: UpdateConfigData

    The data for the request.

  #### Returns CancelablePromise <string>

  string Update a worker group

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5941